php7.0为什么市场上开源的php都是用的php5~5.6,没得php7的?难道php7.0不稳定或者其他问题?

超爱代码语言 发布于 2017/12/17 11:47
阅读 635
收藏 0

Linux基金会开源软件大学开源技术公开课即将上线,Kubernetes1.19实战讲解!>>>

php7.0为什么市场上开源的php都是用的php5~5.6,没得php7的?难道php7.0不稳定或者其他问题?

加载中
0
呆萌虎
呆萌虎

这是PHP的习惯,因为每次PHP更新或多或少都有兼容问题,为了以前的老代码还能用,已有的项目不建议使用最新版本的PHP,除非是新发起的项目。而有的新发起的项目也会考虑到用户已有环境通常不是最新版的PHP,所以也会降低PHP版本的要求。不过这些程序通常也只是说最低版本要求,在最新版的PHP中通常也是能运行的。除非是其中用到了刚好在最新版本中被移除的功能,不过这个可能性还是很小的,最次PHP更新变动的特性不会很多

超爱代码语言
超爱代码语言
而有的新发起的项目也会考虑到用户已有环境通常不是最新版的PHP,所以也会降低PHP版本的要求。 你说的用户是指 制作网站业务的用户吧?
0
0
黄洪清
黄洪清

建议环境还是上PHP7,
代码语法还是按PHP5.6来写

0
小美玲
小美玲

那是你进了很2的公司.

我这边开发,生产环境全部php7.1

只是php7.2刚出,等到个7.2.5+时再考虑换.

0
返回顶部
顶部